#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t;
    cin>>t;
    for(int o=0; o<t; o++)
    {
        int n, k, r, l;
    l=1;
    r=0;
    cin>>n;
    vector<int>a(n);
    for(int i=1; i<=n; i++)
    {
        k=1;
        for(int j=i; j>0; j/=10)
        {
            k=k*(j%10);
        }
        a[r]=k;
        r++;
    }
    sort(a.begin(), a.end());
    for(int i=1; i<n; i++)
    {
        if(a[i]!=a[i-1])
        {
            l++;
        }
    }
    cout<<l<<endl;
    }
}